aboutsummaryrefslogtreecommitdiffstats
path: root/config/hypr/scripts/Kool_Quick_Settings.sh
diff options
context:
space:
mode:
authorJaKooLit <ejhay.games@gmail.com>2025-03-18 20:47:49 +0900
committerJaKooLit <ejhay.games@gmail.com>2025-03-18 20:47:49 +0900
commitc69c67b61a93dbb8d635fe9bbec09d524b311291 (patch)
tree68d336bd7b4a63ffafa1df00751151c36c8ae74c /config/hypr/scripts/Kool_Quick_Settings.sh
parentd1942b1206b8debe1d8672a756750b9ff4f4e802 (diff)
Added nwg-look, qt6ct & qt5ct on KooL Hyprland Settings. Added cursor_trail 1 to kitty.
Diffstat (limited to 'config/hypr/scripts/Kool_Quick_Settings.sh')
-rwxr-xr-xconfig/hypr/scripts/Kool_Quick_Settings.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/config/hypr/scripts/Kool_Quick_Settings.sh b/config/hypr/scripts/Kool_Quick_Settings.sh
index d6949007..cee44c8f 100755
--- a/config/hypr/scripts/Kool_Quick_Settings.sh
+++ b/config/hypr/scripts/Kool_Quick_Settings.sh
@@ -34,6 +34,9 @@ view/edit Laptop Keybinds
view/edit Default Keybinds
Configure Monitors (nwg-displays)
Configure Workspace Rules (nwg-displays)
+GTK Settings (nwg-look)
+QT Apps Settings (qt6ct)
+QT Apps Settings (qt5ct)
Choose Hyprland Animations
Choose Monitor Profiles
Choose Rofi Themes
@@ -71,6 +74,24 @@ main() {
exit 1
fi
nwg-displays ;;
+ "GTK Settings (nwg-look)")
+ if ! command -v nwg-look &>/dev/null; then
+ notify-send -i "$iDIR/ja.png" "E-R-R-O-R" "Install nwg-look first"
+ exit 1
+ fi
+ nwg-look ;;
+ "QT Apps Settings (qt6ct)")
+ if ! command -v qt6ct &>/dev/null; then
+ notify-send -i "$iDIR/ja.png" "E-R-R-O-R" "Install qt6ct first"
+ exit 1
+ fi
+ qt6ct ;;
+ "QT Apps Settings (qt5ct)")
+ if ! command -v qt5ct &>/dev/null; then
+ notify-send -i "$iDIR/ja.png" "E-R-R-O-R" "Install qt5ct first"
+ exit 1
+ fi
+ qt5ct ;;
"Choose Hyprland Animations") $scriptsDir/Animations.sh ;;
"Choose Monitor Profiles") $scriptsDir/MonitorProfiles.sh ;;
"Choose Rofi Themes") $scriptsDir/RofiThemeSelector.sh ;;
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage